Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.localsearch.decider.forager
Enum FinalistPodiumType

    java.lang.Object
      java.lang.Enum<FinalistPodiumType>
          org.optaplanner.core.config.localsearch.decider.forager.FinalistPodiumType

All Implemented Interfaces:
  Serializable, Comparable<FinalistPodiumType>

    public enum FinalistPodiumType

extends Enum<FinalistPodiumType>

Enum Constant Summary
`HIGHEST_SCORE`
`STRATEGIC_OSCILLATION`
`STRATEGIC_OSCILLATION_BY_LEVEL`
`STRATEGIC_OSCILLATION_BY_LEVEL_ON_BEST_SCORE`

Method Summary
`FinalistPodium` | `buildFinalistPodium()`
`static FinalistPodiumType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FinalistPodiumType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIGHEST_SCORE

    public static final FinalistPodiumType HIGHEST_SCORE

### STRATEGIC_OSCILLATION

    public static final FinalistPodiumType STRATEGIC_OSCILLATION

### STRATEGIC_OSCILLATION_BY_LEVEL

    public static final FinalistPodiumType STRATEGIC_OSCILLATION_BY_LEVEL

### STRATEGIC_OSCILLATION_BY_LEVEL_ON_BEST_SCORE

    public static final FinalistPodiumType STRATEGIC_OSCILLATION_BY_LEVEL_ON_BEST_SCORE

Method Detail

### values

    public static FinalistPodiumType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FinalistPodiumType c : FinalistPodiumType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FinalistPodiumType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### buildFinalistPodium

    public FinalistPodium buildFinalistPodium()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.